Please update Cairo-Dock to v2.1.3-10

Bug #568083 reported by Fabounet on 2010-04-21
28
This bug affects 6 people
Affects Status Importance Assigned to Milestone
cairo-dock (Ubuntu)
Undecided
Unassigned
cairo-dock-plug-ins (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: cairo-dock

Since the 2.1.3-6, we have found and corrected few bugs. Each time a critical bg was corrected, we released a nano-version.
Therefore the 2.-1.-10 fixes 4 critical bug (leading to a crash or a freeze) and several major or minor bugs.
Since some of them are critical, we'd like to see the patches applied to the Lucid version. (This is a version specially made for Ubuntu Lucid and verified)

Core :
 - LP: #521167 Cairo-dock crashes by theme changing (more precisely the dock could freeze when the user pressed the apply button)
 - Fixed a crash when reading several xml data (weather and RssReader)
 - Fixed a bug with desklets buttons (inoperative buttons)
 - Fixed a bug that could prevent certain applications (like qmmp) from being listed in the taskbar
 - Fixed a bug when removing a container with OpenGL backend
 - Fixed a bug that prevents from dragging icons inside the dock
 - Reduced the disk access for SSD disk
 - Use the official Ubuntu Lucid theme for icons in the default theme and in the config panel (better integration in the Lucid theme, and prevent copyright issue with few icons whose origin were unclear)

Plug-ins :
 - LP: #455261 (Cannot Modify / Add Custom Launchers)
 - LP: #449422 (Cairo-Dock resize problem)
 - LP: #489349 (showDesktop Applet only seems to work every second time you click on it)
 - LP: #526742 (The system monitor plugin and netspeed plugin inverts upside-down continuously)
 - Dbus: updated to match the current DBus API used by some applets (like Xchat and Pidgin applets)
 - Updated icons to match the Lucid theme better
 - alsaMixer: use the default channel if none are defined in config
 - musicPlayer:
     Removed some annoying warnings and fixed some bugs due to the new version of Banshee (1.4.0)

The branch lp:ubuntu/cairo-dock is ready to be uploaded, we just need an ack.
Thanks for paying attention to this.

REM : Please update cairo-dock AND cairo-dock-plug-ins.

Sources tarballs are available there:
* Core: http://launchpad.net/cairo-dock-core/2.1/2.1.3/+download/cairo-dock-2.1.3-10-lucid.tar.gz
* Plug-ins: http://launchpad.net/cairo-dock-plug-ins/2.1/2.1.3/+download/cairo-dock-plugins-2.1.3-10-lucid.tar.gz

Related branches

Fabounet (fabounet03) on 2010-04-21
description: updated
description: updated
description: updated
Emmet Hikory (persia) on 2010-04-21
Changed in cairo-dock (Ubuntu):
assignee: nobody → Emmet Hikory (persia)
Changed in cairo-dock-plug-ins (Ubuntu):
assignee: nobody → Emmet Hikory (persia)
Emmet Hikory (persia) on 2010-04-21
Changed in cairo-dock (Ubuntu):
assignee: Emmet Hikory (persia) → Iain Lane (laney)
Changed in cairo-dock-plug-ins (Ubuntu):
assignee: Emmet Hikory (persia) → Iain Lane (laney)
Iain Lane (laney) wrote :

All uploaded, thanks for your work!

Changed in cairo-dock (Ubuntu):
status: New → Fix Committed
assignee: Iain Lane (laney) → nobody
Changed in cairo-dock-plug-ins (Ubuntu):
assignee: Iain Lane (laney) → nobody
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock - 2.1.3-10-lucid-0ubuntu1

---------------
cairo-dock (2.1.3-10-lucid-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version (LP: #568083).
  * Fixed some bugs:
   - Fixed a important crash when read several xml data
   - LP: #521167 Cairo-dock crashes by theme changing
   - Fixed a bug with desklets buttons
   - Used icons of the system
   - Fixed a bug when removing a container with OpenGL backend
   - Fixed some typo on some define
   - Fixed a little bug in the drag motion
   - Reduced the disk access for SSD disk
  * Used the official Ubuntu Lucid theme.

  [ Iain Lane ]
  * debian/watch: Update to match current upstream version
 -- Matthieu Baerts (matttbe) <email address hidden> Tue, 20 Apr 2010 02:44:22 +0200

Changed in cairo-dock (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock-plug-ins - 2.1.3-10-lucid-0ubuntu1

---------------
cairo-dock-plug-ins (2.1.3-10-lucid-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream release (LP: #568083)
  * Fixed some bugs:
   - LP: #455261 (Cannot Modify / Add Custom Launchers)
   - LP: #449422 (Cairo-Dock resize problem)
   - LP: #489349 (showDesktop Applet only seems to work
          every second time you click on it)
   - LP: #526742 (The system monitor plugin and netspeed
          plugin inverts upside-down continuously)
   - Dbus: Used the right DBus API of Cairo-Dock (2.1.3 stable)
   - Used icons of the system
   - alsaMixer: fixed a crash when read several xml data
   - musicPlayer:
    * Removed some annoying warnings
    * Banshee-plugin: fixed some bugs due to the new version (1.4.0)

  [ Iain Lane ]
  * debian/watch: Update to match against current version
 -- Matthieu Baerts (matttbe) <email address hidden> Tue, 20 Apr 2010 01:52:21 +0200

Changed in cairo-dock-plug-ins (Ubuntu):
status: Fix Committed → Fix Released
giors (giorgio-ciardo) wrote :
Download full text (5.9 KiB)

Maybe there are some problems, installing it on a 64bit ubuntu desktop during the startup the dock can't find any plugin
The messages are:
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-clock.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Animated-icons.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Xgamma.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-compiz-icon.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd_gnome-integration.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-musicPlayer.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Dbus.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-weblets.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-motion_blur.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-stack.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-show_mouse.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-drop_indicator.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-dnd2share.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored...

Read more...

Matthieu Baerts (matttbe) wrote :

Hello,
I see in the buildlog that plug-ins have been compiled with the 'old' version (2.1.3-6) and not with the new version as core (2.1.3-10-lucid).
I've added a restriction (cairo-dock-dev (>= 2.1.3-9)) but it has downloaded the old version (Get:160 http://ftpmaster.internal/ubuntu/ lucid/universe cairo-dock-dev 2.1.3-6-0ubuntu1 [106kB])

So the package needs to be re-compiled

Changed in cairo-dock-plug-ins (Ubuntu):
importance: Undecided → High
status: Fix Released → Confirmed
Matthieu Baerts (matttbe) wrote :

I've updated this branch with a patch: lp:~cairo-dock-team/cairo-dock-plug-ins/ubuntu

colinjones (colin-a-jones) wrote :

When will this update become available to Update Manager?

Iain Lane (laney) wrote :

Soon.

Changed in cairo-dock-plug-ins (Ubuntu):
status: Confirmed → Fix Released
colinjones (colin-a-jones) wrote :

cool, thanks, all fixed :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers